Redmine - Patch #43244

Remove unused style for "td.revision_graph’
2025-09-23 08:08 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 7.0.0

Description

The style for tr.changeset td.revision_graph is no longer applied because the corresponding elements were removed 13 years ago.

The td.revision_graph elements were added to the repository browser in r7725 along with the revision graph feature. In r8850, the
revision graph was improved and the td.revision_graph elements were removed from app/views/repositories/_revisions.html.erb as
part of the changes.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css
index ae4049fdc..555bad273 100644

-—— a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -438,7 +438,6 @@

tr span.expander, .gantt_subjects div > span.expander {margin-left: 0; cursor: p

tr.changeset { height: 20px }

tr.changeset ul, ol { margin-top: Opx; margin-bottom: Opx; }

—-tr.changeset td.revision_graph { width: 15%; background-color: #fffffb; }
tr.changeset td.author { text-align: center; width: 15%; white-space:nowrap; }
tr.changeset td.committed_on { text-align: center; width: 15%; white-space:nowrap;}

Associated revisions

Revision 24011 - 2025-09-24 07:28 - Go MAEDA

Remove unused style for “td.revision_graph’ (#43244).

Patch by Go MAEDA (user:maeda).

History

#1 - 2025-09-24 07:29 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r24011.
